Bug 115921 - [GTK] Move generated ColorData.cpp, WebKitFontFamilyNames.(cpp|h) build targets into libPlatform
Summary: [GTK] Move generated ColorData.cpp, WebKitFontFamilyNames.(cpp|h) build targe...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Zan Dobersek
URL:
Keywords:
Depends on: 115937
Blocks: 115936
  Show dependency treegraph
 
Reported: 2013-05-10 11:10 PDT by Zan Dobersek
Modified: 2013-05-14 10:40 PDT (History)
5 users (show)

See Also:


Attachments
Patch (16.01 KB, patch)
2013-05-10 11:22 PDT, Zan Dobersek
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zan Dobersek 2013-05-10 11:10:51 PDT
[GTK] Move generated ColorData.cpp, WebKitFontFamilyNames.(cpp|h) build targets into libPlatform
Comment 1 Zan Dobersek 2013-05-10 11:22:20 PDT
Created attachment 201365 [details]
Patch
Comment 2 Gustavo Noronha (kov) 2013-05-10 14:17:05 PDT
Comment on attachment 201365 [details]
Patch

LGTM. An interesting problem, though: apparently after building with this patch, then removing it a clean build is required: http://webkit-queues.appspot.com/results/406652 

I think we need to make libPlatform and libWebCore depend on the files list for both (like we do here http://trac.webkit.org/browser/trunk/Source/WebCore/GNUmakefile.am#L453)
Comment 3 Zan Dobersek 2013-05-10 14:31:46 PDT
(In reply to comment #2)
> (From update of attachment 201365 [details])
> LGTM. An interesting problem, though: apparently after building with this patch, then removing it a clean build is required: http://webkit-queues.appspot.com/results/406652 
> 
> I think we need to make libPlatform and libWebCore depend on the files list for both (like we do here http://trac.webkit.org/browser/trunk/Source/WebCore/GNUmakefile.am#L453)

Yikes, lots of typos there (Webcore should be WebCore).
There's already a dependency set up for libWebCore there, so I reckon only one for libPlatform is missing?
Comment 4 kov's GTK+ EWS bot 2013-05-10 14:51:31 PDT
Comment on attachment 201365 [details]
Patch

Attachment 201365 [details] did not pass gtk-ews (gtk):
Output: http://webkit-queues.appspot.com/results/405115
Comment 5 Gustavo Noronha (kov) 2013-05-13 09:53:01 PDT
Yep, but I think libWebCore should also depend on Platform's file list, because things are getting moved from one to the other. Otherwise libWebCore won't be relinked and we'll get duplicate symbols.
Comment 6 Zan Dobersek 2013-05-13 13:13:56 PDT
There's no Source/Platform/GNUmakefile.list.am yet, if that's the file you had in mind.
Comment 7 Gustavo Noronha (kov) 2013-05-14 07:05:29 PDT
Yep! I see the list is kept in the WebCore list for now, that should be enough then =)
Comment 8 Zan Dobersek 2013-05-14 10:40:14 PDT
Comment on attachment 201365 [details]
Patch

Clearing flags on attachment: 201365

Committed r150074: <http://trac.webkit.org/changeset/150074>
Comment 9 Zan Dobersek 2013-05-14 10:40:20 PDT
All reviewed patches have been landed.  Closing bug.